API ReferenceOrders
Search orders
Find orders by transaction, customer, product, delivery, payment, or status.
AuthorizationBearer <token>
Provide your SellApp API key as a bearer token.
In: header
Header Parameters
X-STORE?string
Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://sell.app/api/v2/orders/search" \ -H "X-STORE: launch-lab" \ -H "Content-Type: application/json" \ -d '{ "filters": [ { "field": "transaction_id", "operator": "contains", "value": "pi_3Example" }, { "field": "status", "operator": "in", "value": [ "COMPLETED" ] } ], "sort": [ { "field": "created_at", "direction": "desc" } ], "pagination": { "page": 1, "limit": 25 } }'{
"data": [
{
"id": 1042,
"status": "COMPLETED",
"timeline": [
{
"status": "COMPLETED",
"set_at": "2026-07-12T12:05:00.000Z"
},
{
"status": "PENDING",
"set_at": "2026-07-12T12:00:00.000Z"
}
],
"customer": {
"id": 88,
"email": "jordan.patel@example.com",
"country": "United States",
"location": "New York",
"proxied": false
},
"payment": {
"method": "STRIPE",
"transaction_id": "pi_3Example",
"payment_id": "pi_3Example",
"payment_capture_id": null,
"blockchain_txid": null,
"settlement_gateway": null,
"has_checkout_url": true
},
"totals": {
"currency": "USD",
"subtotal_cents": 1000,
"total_exclusive_cents": 1000,
"total_cents": 1000,
"total_exclusive_usd_cents": 1000,
"total_usd_cents": 1000
},
"coupon_id": null,
"line_items": [
{
"id": 2201,
"product_id": 77,
"product_variant_id": 91,
"product_title": "Search Ranking Field Guide",
"variant_title": "Algorithm Update Edition",
"quantity": 1,
"status": "COMPLETED",
"currency": "USD",
"subtotal_cents": 1000,
"total_exclusive_cents": 1000,
"total_cents": 1000,
"subscription_id": 312,
"created_at": "2026-07-12T12:00:00.000Z"
}
],
"created_at": "2026-07-12T12:00:00.000Z",
"updated_at": "2026-07-12T12:05:00.000Z"
}
],
"links": {
"first": "https://sell.app/api/v2/orders/search?page=1",
"last": "https://sell.app/api/v2/orders/search?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://sell.app/api/v2/orders/search",
"per_page": 25,
"to": 1,
"total": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://sell.app/api/v2/orders/search?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
]
}
}{
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request could not be understood.",
"status": 400,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#bad-request"
}{
"type": "authentication_error",
"code": "unauthenticated",
"message": "Unauthenticated.",
"status": 401,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#unauthenticated"
}{
"type": "authorization_error",
"code": "forbidden",
"message": "This action is unauthorized.",
"status": 403,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#forbidden"
}{
"type": "validation_error",
"code": "validation_failed",
"message": "The selected product variant id is invalid.",
"status": 422,
"param": "product_variant_id",
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#validation-failed",
"errors": {
"product_variant_id": [
"The selected product variant id is invalid."
]
}
}{
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"message": "Too Many Attempts.",
"status": 429,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#rate-limit-exceeded"
}{
"type": "api_error",
"code": "api_error",
"message": "Server Error",
"status": 500,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#api-error"
}